---
title: burusftp user inspect
linkTitle: user inspect
---

## NAME
`burusftp user inspect <username> [options]` - Prints user details in JSON format. 

## OPTIONS
* `--query <JMESPath query>`
  * Applies [JMESPath]({{< ref "https://jmespath.org/" >}}) query to user details and prints the result

## EXAMPLES

```fish
# Print details of user guybrush
burusftp user inspect guybrush

# Print a JSON array containing enabled (or required) authentication options
burusftp user inspect guybrush --query "auth[?enabled != 'disabled'].type"
```

## SCHEMA

Print [JSON schema]({{< ref "user-inspect-schema" >}})

```fish
# Print JSON schema
burusftp user inspect --print-schema
```

## SEE ALSO
[user add]({{< ref "user-add" >}}), [user delete]({{< ref "user-delete" >}}), [user list]({{< ref "user-list" >}}), [user update]({{< ref "user-update" >}})